from __future__ import annotations

from typing import Generator


class AbstractStorage:
    def child(self, prefix: str) -> AbstractStorage: ...
    def get(self, path: str) -> str: ...
    def get_prefix(self, path: str) -> Generator[str, None, None]: ...
    def put(self, path: str, value: str) -> None: ...
